Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Security\PolicyProvider\PoliciesConfigBuilder Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Security\PolicyProvider\PoliciesConfigBuilder:

## Public Member Functions
| addConfig (array $config)
| Adds config to the builder. More...
| addResource (ResourceInterface $resource)
| Adds given resource, which would typically be added to container resources. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ContainerConfigBuilder
| __construct (ContainerBuilder $containerBuilder)

## Private Member Functions
| policyExists (array $policyMap, $module, $function)
| Checks if policy for module and function exist in Policy Map. More...

## Additional Inherited Members
Protected Attributes inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ContainerConfigBuilder
| $containerBuilder

## Detailed Description

Definition at line 12 of file PoliciesConfigBuilder.php.

## Member Function Documentation

## ◆ addConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Security\PolicyProvider\PoliciesConfigBuilder::addConfig | ( | array | $config | ) |

Adds config to the builder.

Parameters

  array | $config |

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigBuilderInterface.

Definition at line 14 of file PoliciesConfigBuilder.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Security\PolicyProvider\PoliciesConfigBuilder\policyExists().

## ◆ addResource()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Security\PolicyProvider\PoliciesConfigBuilder::addResource | ( | ResourceInterface | $resource | ) |

Adds given resource, which would typically be added to container resources.

Parameters

  ResourceInterface | $resource |

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigBuilderInterface.

Definition at line 41 of file PoliciesConfigBuilder.php.

## ◆ policyExists()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Security\PolicyProvider\PoliciesConfigBuilder::policyExists | ( | array | $policyMap,
|  |  | $module,
|  |  | $function
| ) |  |
| private

Checks if policy for module and function exist in Policy Map.

Parameters

  array | $policyMap |
  string | $module |
  string | $function |

Returns
  bool

Definition at line 55 of file PoliciesConfigBuilder.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Security\PolicyProvider\PoliciesConfigBuilder\addConfig().

The documentation for this class was generated from the following file:

- PoliciesConfigBuilder.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.